activesupport requires Ruby version >= 2.2.2

2016-12-20 10:04:43来源:网络收集作者:三线码农人点击

Ruby一种面向对象程序设计的脚本语言

 

Ruby Version Manager简称RVM,是一款非常好用的ruby版本管理以及安装工具


Mac 终端升级ruby版本
1.安装RVM
curl -L get.rvm.io | bash -s stable
source ~/.rvm/scripts/rvm
2.查看是否安装成功
rvm -v
3.安装Ruby版本-查看版本
rvm install 2.3.0
4.查看Ruby版本安装是否成功
rvm list

Tips:Ruby版本的移除——rvmremove 2.3.0


5.查看已有的源
gem source

就是查看Ruby环境,因为那堵墙的关系我们需要用淘宝的Ruby镜像来访问cocoapods。如果是那就搞定了…


①:系统升级10.11后,再使用CocoaPods出现-bash: pod: command not found 解决办法
sudo gem install -n /usr/local/bin cocoa pods
②:系统升级10.11后,再是使用CocoaPods出现:Setting up CocoaPods master repo 卡着不动(是因为淘宝镜像已经不能用了),解决办法
1.进入该目录
cd ~/.cocoapods/repos
2.克隆一个Specs库
git clone https://github.com/CocoaPods/Specs
3.完成后执行open打开当前目录repos
open .4.最后把Specs目录改名为master即可。

重命名路径:~/.cocoapods/repos

最新文章

123

最新摄影

微信扫一扫

第七城市微信公众平台